from flask_sqlalchemy import SQLAlchemy

db = SQLAlchemy()

class Asset(db.Model):
    __tablename__ = "asset_test"  # Table in MySQL

    assettag = db.Column(db.String(50), primary_key=True)  # Primary key
    hostname = db.Column(db.String(50))  # VARCHAR(50)
    warrantyfrom = db.Column(db.Date)  # DATE
    status = db.Column(db.Enum('Active', 'Inactive'))  # ENUM('Active', 'Inactive')
    #staffnum = db.Column(db.Integer, unsigned=True)  # INT(8) UNSIGNED
    staffnum = db.Column(db.Integer)  # INT(8) UNSIGNED

    def __init__(self, assettag, hostname=None, warrantyfrom=None, status=None, staffnum=None):
        self.assettag = assettag
        self.hostname = hostname
        self.warrantyfrom = warrantyfrom
        self.status = status
        self.staffnum = staffnum

    def __repr__(self):
        return f"<AssetTest {self.assettag}: {self.hostname}>"

